--- doxygen-1.4.7_orig/src/doctokenizer.l	Thu Jun  8 16:48:25 2006
+++ doxygen-1.4.7/src/doctokenizer.l	Sun Sep 17 22:44:57 2006
@@ -195,7 +195,7 @@
   {
     char c=tagText.at(i);
     // skip spaces
-    while (i<yyleng && c==' ') { c=tagText.at(++i); }
+    while (i<yyleng && isspace(c)) { c=tagText.at(++i); }
     // check for end of the tag
     if (c == '>') break;
     // Check for XML style "empty" tag.
@@ -206,17 +206,17 @@
     }
     startName=i;
     // search for end of name
-    while (i<yyleng && c!=' ' && c!='=') { c=tagText.at(++i); }
+    while (i<yyleng && !isspace(c) && c!='=') { c=tagText.at(++i); }
     endName=i;
     HtmlAttrib opt;
     opt.name  = tagText.mid(startName,endName-startName).lower(); 
     // skip spaces
-    while (i<yyleng && c==' ') { c=tagText.at(++i); } 
+    while (i<yyleng && isspace(c)) { c=tagText.at(++i); } 
     if (tagText.at(i)=='=') // option has value
     {
       c=tagText.at(++i);
       // skip spaces
-      while (i<yyleng && c==' ') { c=tagText.at(++i); } 
+      while (i<yyleng && isspace(c)) { c=tagText.at(++i); } 
       if (tagText.at(i)=='\'') // option '...'
       {
         c=tagText.at(++i);
@@ -240,7 +240,7 @@
       {
 	startAttrib=i;
 	// search for separator
-        while (i<yyleng && c!=' ') { c=tagText.at(++i); } 
+        while (i<yyleng && !isspace(c)) { c=tagText.at(++i); } 
 	endAttrib=i;
 	if (i<yyleng) c=tagText.at(++i);
       }
